Get a single job
GET
/api/v1/jobs/{job_id}
const url = 'https://example.com/api/v1/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = {method: 'GET', headers: {'X-Label-Hub-Key': '<X-Label-Hub-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/jobs/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'X-Label-Hub-Key: <X-Label-Hub-Key>'Return the full job record for the given UUID. Returns 404 if not found; for an API key without admin scope also for a job another key (or a browser, SSO user or webhook) submitted. Cancel, retry, pause and resume answer the same 404.
Authorizations
Abschnitt betitelt „Authorizations“Parameters
Abschnitt betitelt „Parameters“Path Parameters
Abschnitt betitelt „Path Parameters“job_id
required
Job Id
string format: uuid
Responses
Abschnitt betitelt „Responses“Successful Response
Media typeapplication/json
JobRead
Serialised view of a Job DB row.
object
created_at
required
Created At
string
id
required
Id
string format: uuid
payload
required
Payload
object
key
additional properties
any
printer_id
required
Printer Id
string format: uuid
state
required
State
string
updated_at
required
Updated At
string
Example generated
{ "created_at": "example", "error": "example", "finished_at": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "payload": {}, "printer_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "result": {}, "started_at": "example", "state": "example", "template_key": "example", "updated_at": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{ "detail": [ { "ctx": {}, "input": "example", "loc": [ "example" ], "msg": "example", "type": "example" } ]}